--
-- FS19 - Manual Cutting for Wood Harvester
-- @author:    	Ifko[nator], t0xic0m, kenny456 - FS19 conversion (kenny456@seznam.cz)
-- @history:	v1.0 - 2018-12-29 - converted to FS19
--
Harvester = {};

function Harvester.prerequisitesPresent(specializations)
	return SpecializationUtil.hasSpecialization(WoodHarvester, specializations);
end

function Harvester.initSpecialization()
end

function Harvester.registerOverwrittenFunctions(vehicleType)
end

function Harvester.registerFunctions(vehicleType)
end

function Harvester.registerEvents(vehicleType)
end

function Harvester:registerActionEventsPlayer()
end

function Harvester:registerActionEventsMenu()
end
function Harvester:onRegisterActionEvents(isSelected, isOnActiveVehicle)
end

function Harvester.registerEventListeners(vehicleType)
    EL = vehicleType.eventListeners
    table.insert(EL.onLoad, Harvester)
    table.insert(EL.onUpdate, Harvester)
    table.insert(EL.onDraw, Harvester)
    table.insert(EL.onRegisterActionEvents, Harvester)
end

function Harvester:onLoad(vehicle)
	self.onDelimbTree = Utils.overwrittenFunction(self.onDelimbTree, Harvester.NEWonDelimbTree);
	self.readyCut = 0;
	--self.cutMaxRadius = 0.68;
	--self.cutLengthMin = 1.20;
	--self.cutLengthMax = 18.20;
	--self.cutLengthStep = 1;
end

function Harvester:NEWonDelimbTree(onDelimbTree, state)
	self.spec_woodHarvester.isAttachedSplitShapeMoving = state;
	if not state then
		if self.readyCut == 1 then
			self:cutTree(0);
			self.readyCut = 0;
		else
			self.readyCut = 1;
		end;
	end;
end;

function Harvester:onUpdate()
	if self.spec_woodHarvester.attachedSplitShape == nil and self.readyCut == 1 then
		self.readyCut = 0;
	end;
end

function Harvester:onDraw()
end
